libembryo1_1.21.1-5_amd64.deb


Advertisement

Description

libembryo1 - EFL SMALL-based abstract machine (AMX) bytecode interpreter

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libembryo1_1.21.1-5_amd64.deb
Package name libembryo1
Package version 1.21.1
Package release 5
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://www.enlightenment.org
License -
Maintainer Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Download size 48.16 KB
Installed size 120.00 KB
Embryo is a tiny library designed to interpret limited Small programs
compiled by the included compiler, embryo_cc. It is mostly a cleaned
up and smaller version of the original Small abstract machine. The
compiler is mostly untouched.
Refer to the EFL documentation for an introduction to SMALL.  See
https://www.compuphase.com/pawn/pawn.htm for details on PAWN, the
upstream successor to SMALL.
This is part of the Enlightenment Foundation Libraries (EFL).

Alternatives

Package Version Architecture Repository
libembryo1_1.21.1-5_i386.deb 1.21.1 i386 Debian Main
libembryo1 - - -

Requires

Name Value
libc6 >= 2.27
libeina1a >= 1.21.1-0~eo

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libembryo1_1.21.1-5_amd64.deb
Source Package efl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libembryo1 deb package:
    # sudo apt-get install libembryo1

Files

Path
/usr/lib/x86_64-linux-gnu/libembryo.so.1
/usr/lib/x86_64-linux-gnu/libembryo.so.1.21.1
/usr/share/doc/libembryo1/changelog.Debian.gz
/usr/share/doc/libembryo1/changelog.gz
/usr/share/doc/libembryo1/copyright
/usr/share/lintian/overrides/libembryo1

Changelog

2019-02-12 - Ross Vandegrift <ross@kallisti.us>
efl (1.21.1-5) unstable; urgency=medium
* d/patches/25_fix_glinptr_redef.diff: Fix FTBFS on 32-bit arches with
mesa >= 18.3.
2019-02-11 - Ross Vandegrift <ross@kallisti.us>
efl (1.21.1-4) unstable; urgency=medium
* d/control:
+ efl-doc should be Multi-Arch: foreign
+ libelementary1 should be Multi-Arch: same
+ libelementary-data should be Multi-Arch: foreign
+ Bump Standards-Verison to 4.3.0, no changes required
+ Refresh package descriptions from upstream info
* d/libelementary1.symbols: add missing Build-Depends-Package field
* libelementary-data: move icon readme to docs dir
2018-10-22 - Andreas Metzler <ametzler@debian.org>
efl (1.21.1-3) unstable; urgency=medium
* Limit libunwind-dev b-d to the architectures where the package is
available.
2018-10-18 - Ross Vandegrift <ross@kallisti.us>
efl (1.21.1-2) unstable; urgency=medium
* Fix FTBFS: re-tag evas_common_scale_rgba_in_to_out_clip_smooth_mmx
symbol as arch specific for any-amd64 and any-i386.  Tag was
accidentally dropped in d7a3e88e5e.
2018-10-13 - Ross Vandegrift <ross@kallisti.us>
efl (1.21.1-1) unstable; urgency=medium
* New upstream release.
* d/patches:
+ 05-fix-signedness-mismatch.diff: drop, applied upstream
+ 50-fix-edje_recc-bashism.diff: drop, applied upstream
+ 20_disable_doxygen_timestamps.diff: defuzz
+ 99-fix-shader-regen.diff: add missing depend on ector .x file
+ 05_eina_strbuf_explicit_format_strings.diff: fix format string to build
with -Werror=format-security.
+ 10_remove_google_analytics.diff: remove remote js loading from docs
* Add new Build-Depends:
+ libxkbcommon-x11-dev is now required
+ libunwind-dev for improved backtraces
* Bump eo symbol versions for 1.21.1 release, sort libeina1a.symbols to
match order of dpkg-gensymbols output.
* d/copyright: cleanup unused paragraphs
* Ship ecore_el2_dmabuf module.
2018-09-01 - Andreas Metzler <ametzler@debian.org>
efl (1.20.7-7) unstable; urgency=medium
* Correct Breaks/Replaces of libefl-all-dev on transition packages. Use
"<< 1.20.5-1" instead of "<< ${binary:Version})". Closes: #907741
(Thanks, Adrian Bunk)
* Also drop related (now unused) lintian overrides.
2018-06-21 - Ross Vandegrift <ross@kallisti.us>
efl (1.20.7-6) unstable; urgency=low
[ Andreas Metzler ]
* Remove Nicolas Braud-Santoni from uploaders list. (Thank you!)
Closes: #901037
[ Ross Vandegrift ]
* d/patches/20_disable_doxygen_timestamps.diff: disable timestamps to
improve reproducibility of efl-doc.
* d/control: add libevas1-engines-drm to libeina1a Breaks to ensure it
is upgraded in lock-step with other EFL components.
* Try to avoid circular dependency by demoting libevas1 Depends on
libevas1-engines-x to Recommends. (Closes: #901624)
* Add the other engines to libevas1 Recommends to improve upon the
solution for #900594.
2018-06-06 - Andreas Metzler <ametzler@debian.org>
efl (1.20.7-5) unstable; urgency=low
* Change libevas1' dependency on libevas1-engine (a virtual package) to
libevas1-engines-x | libevas1-engine, preventing apt from choosing
wayland packages by default. Closes: #900594
* Move license texts to the end of debian/copyright.
global-files-wildcard-not-first-paragraph-in-dep5-copyright
* Do not ship jquery.js, it is not used.
2018-03-27 - Andreas Metzler <ametzler@debian.org>
efl (1.20.7-4) unstable; urgency=medium
* Undo workaround in previous upload, libinput-dev did the same thing, which
is the right place to do it.
* As on arm64 (try to) build with lua-old on s390x.
2018-03-18 - Andreas Metzler <ametzler@debian.org>
efl (1.20.7-3) unstable; urgency=medium
* As a temporary work around for #892956 add build-depends (and
libefl-all-dev depends) on libwacom-dev, libmtdev-dev, libevdev-dev.

See Also

Package Description
libemeraldengine-dev_0.8.16-3_amd64.deb Development files for emerald engines
libemeraldengine0_0.8.16-3_amd64.deb Decoration engines for compiz
libemf-dev_1.0.9+git.10.3231442-2_amd64.deb Enhanced Metafile library (development)
libemf-doc_1.0.9+git.10.3231442-2_all.deb Enhanced Metafile library (documentation)
libemf1_1.0.9+git.10.3231442-2_amd64.deb Enhanced Metafile library (run-time)
libemile1_1.21.1-5_amd64.deb EFL compression and encryption
libemos-bin_4.5.9-1_amd64.deb ECMWF Interpolation Library - binaries
libemos-data_4.5.9-1_all.deb Data files for the ECMWF Interpolation library
libemos-dev_4.5.9-1_amd64.deb ECMWF Interpolation Library - development
libemos0d_4.5.9-1_amd64.deb ECMWF Interpolation Library
libemotion-dev_1.21.1-5_all.deb transitional EFL development package
libemotion-players_1.21.1-5_amd64.deb EFL additional loaders for Emotion
libemotion1_1.21.1-5_amd64.deb EFL media object functionality
libemu-dev_0.2.0+git20120122-1.2+b1_amd64.deb x86 shellcode detection and emulation
libemu2_0.2.0+git20120122-1.2+b1_amd64.deb x86 shellcode detection and emulation
Advertisement
Advertisement